; Copyright (c) 2005, Stubbe F. Hviid
;   All rights reserved
;+
; NAME:
;   osiris_environment
;
; PURPOSE:
;   Return a structure containing the location of various files and directories
;   needed by the Osiris calibration pipeline.
;
;   NOTE! This function should be modified to reflect the file loctions within the active IDL session
;
; CATEGORY:
;   file io
;
; CALLING SEQUENCE:
;   FUNCTION osiris_environment()
;
;
; INPUTS:
;   None
;
; OPTIONAL INPUTS:
;   None
;
; KEYWORD PARAMETERS:
;   None
;
; OUTPUTS:
;   A structure of the form:
;   {root_path:     <path to the root on the pipeline source tree>,
;    database_path: <path to the database files>}
;
; OPTIONAL OUTPUTS:
;   None
;
; COMMON BLOCKS:
;   None
;
; SIDE EFFECTS:
;   None
;
; RESTRICTIONS:
;   None
;
; EXAMPLE:
;  env = osiris_environment()
;
; MODIFICATION HISTORY:
;   Written by:  Stubbe F. Hviid  June 2005
;-

FUNCTION osiris_environment

    return, {root_path: 'C:\users\hviid\Documents\idl\osiris\osiris_calibration_pipeline', $				; Location of the OSIRIS calibration pipeline distribution
             database_path: 'C:\users\hviid\Documents\idl\osiris\osiris_calibration_pipeline\database', $	; Location of the OSIRIS calibration database
             bin_path: 'C:\Users\hviid\Documents\osiris\bin', $												; Location of the OSIRIS binary executable tools
             spice_path: '\\osi-storage\archive\Database\Kernels', $										; Location of the Rosetta spice environment
             archive_db_path: '\\osi-storage\archive\Database\ArchivingDatabase', $							; Location of the OSIRIS archiving database
             uplink_path: '\\osi-storage\archive\uplink', $ 												; Location of the OSIRIS uplink environment
             temp_path: 'c:\temp' $																			; Location of temp folder with write persission
             }

END
